{% extends "base.html" %}

{% block head %}
<title>Grocery List</title>
{% endblock %}

{% block body %}
<h1 align=center><u>Grocery List</u></h1>

<div class="content" align=center>
	<h3 style="text-align: center">Current Grocery List</h3>

  <!-- Jinju syntax, if grocery list length is less than one (list empty) -->
  {% if grocery_items|length < 1 %}
  <h5 style="text-align: center">There are no items on the grocery list! You can add one below!</h5>

  {% else %}

	<table>
	<!-- Find a way to limit row width -->
		<tr>
			<th>Item</th>
			<th>Date</th>
			<th>Actions</th>
		</tr>
    {% for grocery_item in grocery_items %}
      <tr>
        <td width="100%">{{ grocery_item.content }}</td>
        <td>{{ grocery_item.date_created.date() }}</td>
        <td>
          <a href="/grocery-list/remove/{{grocery_item.id}}">Remove</a>        <a href="/grocery-list/update/{{grocery_item.id}}">Update</a>
        </td>
      </tr>
    {% endfor %}
	</table>
  {% endif %}

	<form action="/grocery-list/" method="POST">
		<input type="text" name="content" id="content">
		<input type="submit" value="Add to List">
	</form>
</div>
{% endblock %}

